Bug 821890 - Review Request: trac-sphinx-plugin - Basic tasks to manage Sphinx documentation in Trac
Review Request: trac-sphinx-plugin - Basic tasks to manage Sphinx documentati...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 12:54 EDT by Andrea Veri
Modified: 2014-03-16 23:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrea Veri 2012-05-15 12:54:54 EDT
Spec URL: http://averi.fedorapeople.org/RPMs/trac-sphinx-plugin/trac-sphinx-plugin.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/trac-sphinx-plugin/trac-sphinx-plugin-0.2.1-20120515.hge021e691af84.fc16.src.rpm
Description: A trac plugin that implements basic tasks to manage Sphinx documentation in Trac.
Comment 1 Kevin Fenzi 2012-05-15 15:09:04 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
(Sources do match up, md5 difference is due to timestamps)
87ae6e18ac9b477df50ea8df762c0ea1  trac-sphinx-plugin-0.2.1.20120515.hge021e691af84.tar.gz
93fb5087f811a3f4d9d02528e31069e4  trac-sphinx-plugin-0.2.1.20120515.hge021e691af84.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

trac-sphinx-plugin.src: W: invalid-url Source0: trac-sphinx-plugin-0.2.1.20120515.hge021e691af84.tar.gz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Can be ignored. 

I see no blockers here, so this package is APPROVED.
Comment 2 Andrea Veri 2012-05-16 06:09:45 EDT
New Package SCM Request
=======================
Package Name: trac-sphinx-plugin 
Short Description: Basic tasks to manage Sphinx documentation in Trac
Owners: averi kevin
Branches: f17 el5 el6
InitialCC: averi kevin
Comment 3 Gwyn Ciesla 2012-05-16 09:16:07 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-05-20 12:25:24 EDT
trac-sphinx-plugin-0.2.1-20120515.hge021e691af84.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-sphinx-plugin-0.2.1-20120515.hge021e691af84.el6
Comment 5 Fedora Update System 2012-05-20 13:57:48 EDT
trac-sphinx-plugin-0.2.1-20120515.hge021e691af84.el6 has been pushed to the Fedora EPEL 6 testing repository.

Note You need to log in before you can comment on or make changes to this bug.